# Features

- Touch GUI
Minecraft: Pi Edition includes the Minecraft: Pocket Edition Touch UI. MCPI-Reborn includes a mod that enables it. This is enabled by default because the default UI has bad Survival Mode support.

- Survival Mode
While Minecraft: Pi Edition includes the code necessary for Survival Mode, it is disabled by default. MCPI-Reborn contains a mod that allows you to use Survival Mode. This is always enabled.

- Fix Bow & Arrow
Minecraft: Pi Edition has a broken Bow & Arrow. MCPI-Reborn includes a mod that fixes it. This is enabled by default.

- Fix Attacking
Minecraft: Pi Edition disables attacking mobs/players. MCPI-Reborn includes a mod to re-enable it. This is enabled by default.

- Mob Spawning
Minecraft: Pi Edition and Minecraft: Pocket Edition control mob spawning by game-mode. This mod makes mob spawning independent of game-mode. Mob spawning is enabled by default.

- Fancy Graphics
Minecraft: Pi Edition doesn't have a functioning settings menu, so it is impossible to enable fancy graphics. This means things like clouds and transparent leaves. MCPI-Reborn includes a mod to enable it. This is enabled by default.

- Disable Autojump By Default
Minecraft: Pi Edition and Minecraft: Pocket Edition both contain auto-jump enabled by default. As many people find this annoying when playing with a keyboard and mouse, MCPI-Reborn includes a mod to disable it. This is enabled by default.

- Display Nametags By Default
Show's player nametags above their heads in multiplayer. It is disabled by default.

- Fix Sign Placement
Minecraft: Pi Edition has the sign editing UI disabled. MCPI-Reborn includes a mod to re-enable it. This is enabled by default.

- Show Block Outlines
Minecraft: Pi Edition and Minecraft: Pocket Edition control whether to highlight the selected block by UI mode. This mod makes it independent of UI mode. Block outlines are enabled by default.

- Expand Creative inventory
This mod adds extra items to the creative inventory, It is disabled by default.

- Peaceful Mode
This mod enables peaceful mode, it is disabled by default.

- Animated Water
Minecraft: Pi Edition includes the old non-animated water texture be default. This mod enables the animated version. This is enabled by default.

- Remove Invalid Item background
When an item that is normally unobtainable is in the inventory, Minecraft: Pi Edition and Minecraft: Pocket Edition render a bright red background behind it. This mod removes it and is enabled by default.

- Disable gui_blocks Atlas
Minecraft: Pi Edition and Minecraft: Pocket Edition include an additional atlas alongside the block and item atlases. This atlas contains pre-rendered images of all blocks and items in the inventory. This makes it so that modifications to the blocks or items atlases don't affect the inventory unless you also modify this atlas. This mod disables this atlas. This is enabled by default.

- Smooth Lighting
Both Minecraft: Pi Edition and Minecraft: Pocket Edition include code for smooth lighting that is disabled by default. This mod enables it and is enabled by default.

- 3D Anaglyph
Both Minecraft: Pi Edition and Minecraft: Pocket Edition include code for 3D anaglyph that is disabled by default. This mod enables it and is disabled by default.

- Camera Renderer
In both Minecraft: Pi Edition and Minecraft: Pocket Edition the Camera entity renderer is disabled. This re-enables it and makes the [[Camera|Camera's]] particles appear higher so they don't obscure the picture. This is always enabled.

== Server software ==
MCPI-Reborn also has it's own server software with things like survival mode support and mob generation. More info can be found at https://gitea.thebrokenrail.com/TheBrokenRail/minecraft-pi-reborn#dedicated-server.

